2022-08-17 08:35 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002536WarInTheGulf[All Projects] Generalpublic2014-01-21 22:33
ReporterStingRay 
Assigned ToJOTDProject InfoWar In The Gulf (Empire)
http://www.whdload.de/games/WarInTheGulf.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002536: Hi JOTD, since I patched Team Yankee and Pacific Islands today, I noticed that
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: latest

Hi JOTD,
since I patched Team Yankee and Pacific Islands today, I noticed that you had already patch part 3 of the game (War in the Gulf). The reason the game has trashed graphics on fast machines is because it uses SMC in the line drawer (all blitter waits in the game are OK!), Team Yankee and Pacific Islands have the same problem. To fix that, just put a jmp to the following code at offset $15598:
move.l _resload(pc),a2
jsr resload_FlushCache(a2)
add.w -14(a5),a1
jmp (a3)
The game will happily work with full caches enabled. If you can't be bothered to update/fix the install let me know and I'll just adapt my TY/PI patch and create a new patch for War in the Gulf.
Greetings,
Sting
TagsNo tags attached.
MachineA4000
CPU68060
CPUSpeed50
ChipSetAGA
GFXCardPicasso IV
ChipMem2 MB
FastMem80 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad17
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0003650

JOTD (developer)

thx for the info, I'll add this.

note ~0003685

JOTD (developer)

fixed, thanks Stingray
+Notes

-Issue History
Date Modified Username Field Change
2012-02-02 20:31 administrator New Issue
2012-02-02 20:31 administrator Status new => assigned
2012-02-02 20:31 administrator Assigned To => JOTD
2014-01-08 06:51 JOTD Note Added: 0003650
2014-01-21 22:33 JOTD Note Added: 0003685
2014-01-21 22:33 JOTD Status assigned => closed
2014-01-21 22:33 JOTD Resolution open => fixed
+Issue History